%define url_ver %(echo %{version}|cut -d. -f1,2)
%define subrel 1

Name:           mate-user-share
Version:        1.6.1
Release:        %mkrel 1
License:        GPLv2+
Summary:        MATE  user file sharing
URL:            http://mate-desktop.org
Group:          System/Servers
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         mate-user-share-1.6.1-download_dir.patch

BuildRequires:  apache-devel
BuildRequires:  itstool
BuildRequires:  libxml2-utils
BuildRequires:  intltool
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  hicolor-icon-theme
BuildRequires:  mate-common
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(libcaja-extension)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libcanberra-gtk)
BuildRequires:  pkgconfig(gdk-x11-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
# Disabled until upstream migrates to Bluez5. Compiles without bluetooth support.
#BuildRequires:  pkgconfig(mate-bluetooth-1.0)
BuildRequires:  pkgconfig(mate-doc-utils)
BuildRequires:  pkgconfig(unique-1.0)

Suggests:       apache
Suggests:       apache-mod_dnssd >= 0.6
# Disabled until upstream migrates to Bluez5. Compiles without bluetooth support.
#Requires:       obex-data-server >= 0.3

%description
This program enables user to share directories through Webdav or Bluetooth
(over ObexFTP).

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
   --with-modules-path=%{_sysconfdir}/httpd/modules \
   --disable-scrollkeeper \
   --disable-static \
   --disable-bluetooth \
   --disable-schemas-compile
%make

%install
%makeinstall_std

# remove needless gsettings convert file to avoid slow session start
rm -f  %{buildroot}%{_datadir}/MateConf/gsettings/mate-user-share.convert

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README COPYING
%config(noreplace) /etc/xdg/autostart/mate-user-share-obexftp.desktop
%config(noreplace) /etc/xdg/autostart/mate-user-share-obexpush.desktop
%config(noreplace) /etc/xdg/autostart/mate-user-share-webdav.desktop
%{_bindir}/mate-file-share-properties
%{_libexecdir}/%{name}
%{_libdir}/caja/
%{_datadir}/%{name}/
%{_datadir}/applications/mate-user-share-properties.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/glib-2.0/schemas/org.mate.FileSharing.gschema.xml
%{_mandir}/man1/mate-file-share-properties.1*




%changelog
* Mon Mar 09 2015 tarakbumba <tarakbumba> 1.6.1-1.1.mga4
+ Revision: 818254
- Do not use download dir for incomming bluetooth downloads (mga#15453)

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 563825
-New bugfix version: 1.6.1

* Tue Oct 22 2013 tarakbumba <tarakbumba> 1.6.0-2.mga4
+ Revision: 541395
- Disabled bluetooth support
- imported package mate-user-share

